NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_adp_argc(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_adp_argc - Return the number of arguments to the current ADP

## Table Of Contents

## Synopsis

- ns_adp_argc

## Description

This command returns an integer representing the number of arguments passed to the current ADP. The number of arguments includes the name of the ADP itself, which is located at index zero.

## COMMANDS

ns_adp_argc

## EXAMPLES

       # In a.adp:
       <% ns_adp_include b.adp example a b c %>

       # In b.adp:
       <%
         ns_adp_argc      &nbsp;;# => 5
       %>

## See Also

nsd

## Keywords

ADP